package com.ruoyi.benyun.entity.bo;

import com.ruoyi.benyun.entity.EnterpriseWd;
import com.ruoyi.benyun.entity.WdInfo;
import lombok.Data;

import java.util.List;

@Data
public class EnterpriseWdInfoBo extends WdInfo {
    private EnterpriseWd enterpriseWd;

    private List<String> tags;

    public EnterpriseWdInfoBo(WdInfo wdInfo) {
        setWdId(wdInfo.getWdId());
        setAddrInfo(wdInfo.getAddrInfo());
        setAudit(wdInfo.getAudit());
        setTypeNameBy(wdInfo.getTypeNameBy());
        setAddrCode(wdInfo.getAddrCode());
        setCollectPerson(wdInfo.getCollectPerson());
        setTypeNameBy(wdInfo.getTypeNameBy());
        setCollectTime(wdInfo.getCollectTime());
        setCollectUserId(wdInfo.getCollectUserId());
        setCreateDate(wdInfo.getCreateDate());
        setEnterTime(wdInfo.getEnterTime());
        setLat(wdInfo.getLat());
        setLng(wdInfo.getLng());
        setRent(wdInfo.getRent());
        setTypeCodeBy(wdInfo.getTypeCodeBy());
        setWdImg(wdInfo.getWdImg());
        setWdName(wdInfo.getWdName());
        setWdTypeCode(wdInfo.getWdTypeCode());
    }

    public EnterpriseWdInfoBo() {

    }
}
